import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/main/main_page.dart';
import '../modules/splash/splash_page.dart';

class PageRouter {

  static final routes = [

    //闪屏页
    GetPage(
      name: RouterPath.SPLASH,
      page: () => SplashPage(),
    ),

    //首页
    GetPage(
      name: RouterPath.MAIN,
      page: () => MainPage(
        key: const ValueKey(RouterPath.MAIN),
      ),
    ),

  ];
}
