
import 'package:get/get.dart';
import 'package:plugin_basic/constants/app_constant.dart';
import 'package:plugin_basic/service/user_service.dart';
import 'package:plugin_platform/engine/sp/sp_util.dart';

class NotificationEnableController extends GetxController {

  bool isSelected = true;

  @override
  void onReady() {
    super.onReady();
    isSelected = SPUtil.getBool(AppConstant.storageNotificationEnable, defValue: true) ?? true;
    update();
  }

  void changed(bool checked) {
    isSelected = checked;
    SPUtil.putBool(AppConstant.storageNotificationEnable, checked);
    update();

    _resetRegistrationIdId(checked ? UserService.to.getRegistrationId : "null");
  }

  /// 调用接口重新设置 registrationId
  void _resetRegistrationIdId(String registrationId) async {
    // if (UserService.to.isLogin) {
    //   //获取到数据
    //   HttpResult result = await mainRepository.resetRegistrationId(registrationId);
    //
    //   //处理数据
    //   if (result.isSuccess) {
    //     Log.d("MainController 重置 registrationId 成功");
    //   } else {
    //     Log.d("MainController 重置 registrationId 失败：${result.errorMsg}");
    //   }
    // }
  }
}
