
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/me/change_mobile/change_mobile_page.dart';
import '../modules/me/dark_model/dark_model_page.dart';
import '../modules/me/form_filed/form_filed_page.dart';
import '../modules/me/notification_enable/notification_enable_page.dart';
import '../modules/me/reset_password/reset_password_page.dart';
import '../modules/me/setting/setting_page.dart';

class ProfilePageRouter {

  static final routes = [

    //设置页面
    GetPage(
      name: RouterPath.SETTING,
      page: () => SettingPage(),
    ),

    //忘记密码
    GetPage(
      name: RouterPath.RESETPASSWORD,
      page: () => ResetPasswordPage(),
    ),

    //暗黑模式页面
    GetPage(
      name: RouterPath.DARK_MODEL,
      page: () => DarkModelPage(),
    ),

    //修改手机号码
    GetPage(
      name: RouterPath.CHANGEMOBILE,
      page: () => ChangeMobilePage(),
    ),

    //表单提交页面
    GetPage(
      name: RouterPath.FORMFILED,
      page: () => FormFiledPage(),
    ),

    //通知页面
    GetPage(
      name: RouterPath.NOTIFICATION_ENABLE,
      page: () => NotificationEnablePage(),
    ),

  ];
}
