import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/verify_code.dart';

VerifyCode $VerifyCodeFromJson(Map<String, dynamic> json) {
  final VerifyCode verifyCode = VerifyCode();
  final bool? sensitive = jsonConvert.convert<bool>(json['sensitive']);
  if (sensitive != null) {
    verifyCode.sensitive = sensitive;
  }
  final String? key = jsonConvert.convert<String>(json['key']);
  if (key != null) {
    verifyCode.key = key;
  }
  final String? img = jsonConvert.convert<String>(json['img']);
  if (img != null) {
    verifyCode.img = img;
  }
  return verifyCode;
}

Map<String, dynamic> $VerifyCodeToJson(VerifyCode entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['sensitive'] = entity.sensitive;
  data['key'] = entity.key;
  data['img'] = entity.img;
  return data;
}

extension VerifyCodeExtension on VerifyCode {
  VerifyCode copyWith({
    bool? sensitive,
    String? key,
    String? img,
  }) {
    return VerifyCode()
      ..sensitive = sensitive ?? this.sensitive
      ..key = key ?? this.key
      ..img = img ?? this.img;
  }
}