import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/verify_code.g.dart';
import 'dart:convert';

@JsonSerializable()
class VerifyCode {
	bool? sensitive;
	String? key;
	String? img;

	VerifyCode();

	factory VerifyCode.fromJson(Map<String, dynamic> json) => $VerifyCodeFromJson(json);

	Map<String, dynamic> toJson() => $VerifyCodeToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}